Skip to main content
GET
/
stories
List pull stories
curl --request GET \
  --url https://pullstory.com/api/v1/stories \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "story_01hq7xyz",
      "status": "generating",
      "owner": "vercel",
      "repo": "next.js",
      "number": 12345,
      "url": "https://pullstory.com/pr/vercel/next.js/12345",
      "duration_seconds": 142,
      "scenes": 8,
      "created_at": "2023-11-07T05:31:56Z",
      "ready_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

owner
string

GitHub repo owner

repo
string

GitHub repo name

limit
integer
default:20
Required range: x <= 100
cursor
string

Pagination cursor from a previous response

Response

Paginated list of pull stories

data
object[]
next_cursor
string | null